      Subroutine turnst(ssbond, sssumm, summpl, turnch, alturn, seqlen) TURN001
c                                                                       TURN002
c     search for solitary turn type bonds and set in the symbol         TURN003
c                                                                       TURN004
      include 'sstruc.par'                                              TURN005
      character*1 ssbond(nstruc,maxres), sssumm(maxres), turnch,        TURN006
     &            summpl(maxres), alturn                                TURN007
      integer     seqlen                                                TURN008
                                                                        TURN009
      integer     nxres, nxsym, nxhlx, hlxpri(nhelix), hlxsz(nhelix)    TURN010
                                                                        TURN011
      hlxpri(1) = alphah                                                TURN012
      hlxpri(2) = thrtnh                                                TURN013
      hlxpri(3) = pih                                                   TURN014
      hlxsz(1) = ahsz                                                   TURN015
      hlxsz(2) = thrtsz                                                 TURN016
      hlxsz(3) = pihsz                                                  TURN017
                                                                        TURN018
      do 2000, nxhlx = 1, nhelix                                        TURN019
      If (ssbond(hlxpri(nxhlx),1) .eq. bndbeg .and.                     TURN020
     &   ssbond(hlxpri(nxhlx),2) .ne. bndbeg) then                      TURN021
         do 200, nxsym = 2, hlxsz(nxhlx)                                TURN022
         If (sssumm(nxsym) .eq. space) sssumm(nxsym) = turnch           TURN023
         If (summpl(nxsym) .eq. space .or. summpl(nxsym) .eq.           TURN024
     &      alturn) summpl(nxsym) = turnch                              TURN025
  200    continue                                                       TURN026
         If (summpl(1) .eq. space) summpl(1) = alturn                   TURN027
         If (summpl(hlxsz(nxhlx)+1) .eq. space)                         TURN028
     &      summpl(hlxsz(nxhlx)+1) = alturn                             TURN029
      end if                                                            TURN030
      do 1000, nxres = 2, seqlen - hlxsz(nxhlx)                         TURN031
      If ((ssbond(hlxpri(nxhlx),nxres) .eq. bndbeg .or.                 TURN032
     &   ssbond(hlxpri(nxhlx),nxres) .eq. bndbth) .AND.                 TURN033
     &   (ssbond(hlxpri(nxhlx),nxres-1) .ne. bndbeg .and.               TURN034
     &   ssbond(hlxpri(nxhlx),nxres-1) .ne. bndbth) .AND.               TURN035
     &   (ssbond(hlxpri(nxhlx),nxres+1) .ne. bndbeg .and.               TURN036
     &   ssbond(hlxpri(nxhlx),nxres+1) .ne. bndbth)) then               TURN037
         do 500, nxsym = nxres + 1, Nxres + hlxsz(nxhlx) - 1            TURN038
         If (sssumm(nxsym) .eq. space) sssumm(nxsym) = turnch           TURN039
         If (summpl(nxsym) .eq. space .or. summpl(nxsym) .eq.           TURN040
     &      alturn) summpl(nxsym) = turnch                              TURN041
  500    continue                                                       TURN042
         If (summpl(nxres) .eq. space) summpl(nxres) = alturn           TURN043
         If (summpl(nxres+hlxsz(nxhlx)) .eq. space)                     TURN044
     &      summpl(nxres+hlxsz(nxhlx)) = alturn                         TURN045
      end if                                                            TURN046
 1000 continue                                                          TURN047
 2000 continue                                                          TURN048
      END                                                               TURN049
